{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 34,
   "metadata": {},
   "outputs": [],
   "source": [
    "import numpy as np\n",
    "import matplotlib.pyplot as plt\n",
    "\n",
    "data = np.genfromtxt('cifar_marginal_kl.csv', dtype=np.str, delimiter=',')\n",
    "\n",
    "runs = data[0]\n",
    "betas = np.array([10, 1, 0.1, 0.019, 0.01, 0.001])\n",
    "KL_posterior_prior = data[1].astype(np.float)\n",
    "KL_marginal_prior = data[2].astype(np.float)\n",
    "MI = data[3].astype(np.float)\n",
    "# import pdb; pdb.set_trace()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 76,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAARgAAADQCAYAAADcQn7hAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\n",
      "text/plain": [
       "<Figure size 288x216 with 1 Axes>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "plt.figure(figsize=(4,2.5))\n",
    "\n",
    "x_ticks = betas\n",
    "plt.plot(x_ticks, MI)\n",
    "plt.plot(x_ticks, KL_marginal_prior)\n",
    "\n",
    "# Invert x asix and use log scale\n",
    "plt.gca().invert_xaxis()\n",
    "plt.xscale('log')\n",
    "\n",
    "plt.rc('pdf',fonttype = 42)\n",
    "plt.rc('ps',fonttype = 42)\n",
    "plt.ylim([0, 89])\n",
    "plt.xlim([10, 0.0009])\n",
    "plt.xlabel('Effective beta (log scale)')\n",
    "plt.ylabel('Nats')\n",
    "plt.legend(['I(x;z)', 'KL(m(z) || p(z))'])\n",
    "plt.grid(True, which='major')\n",
    "plt.tight_layout()\n",
    "\n",
    "plt.savefig('marginal_kl_graph.png', dpi=300)\n",
    "plt.show()\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {
    "collapsed": true
   },
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": 32,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "array(['beta10', 'beta1', 'beta01', 'optimal (beta 0.019)', 'beta001',\n",
       "       'beta0001'], dtype='<U20')"
      ]
     },
     "execution_count": 32,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "runs"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.6.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
